---
title: Document.width
slug: Web/API/Document/width
tags:
  - API
  - Document
  - HTML DOM
  - NeedsBrowserAgnosticism
  - NeedsSpecTable
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("DOM")}} {{Obsolete_header}}</div>

<div class="note">
<p><strong>Note:</strong> Starting in {{Gecko("6.0")}}, <code>document.width</code> is no longer supported. Instead, use <code>document.body.clientWidth</code>. See {{domxref("element.clientWidth")}}.</p>
</div>

<p>Returns the width of the {{HTMLElement("body")}} element of the current document in pixels.</p>

<p>Not supported by Internet Explorer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>pixels</var> = document.width;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">function init() {
  alert("The width of the document is " + document.width + " pixels.");
}
</pre>

<h2 id="Alternatives">Alternatives</h2>

<pre class="syntaxbox">document.body.clientWidth              /* width of &lt;body&gt; */
document.documentElement.clientWidth   /* width of &lt;html&gt; */
window.innerWidth                      /* window's width */
</pre>

<h2 id="Specifications">Specifications</h2>

<p>HTML5</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.width")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.height")}}</li>
 <li>{{domxref("Element.clientWidth")}}</li>
 <li>{{domxref("Element.scrollWidth")}}</li>
</ul>
